oyCMMapiFilters_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyCMMapiFilters_s Struct Reference
Backend Modules

A CMMapiFilters list. More...

`#include <oyCMMapiFilters_s.h>`

Inheritance diagram for oyCMMapiFilters_s:
Collaboration diagram for oyCMMapiFilters_s:

## Public Member Functions
OYAPI oyCMMapiFilters_s *OYEXPORT | oyCMMapiFilters_New (oyObject_s object)
| allocate a new CMMapiFilters object More...
| oyCMMapiFilters_Copy
| Copy or Reference a CMMapiFilters object. More...
OYAPI int OYEXPORT | oyCMMapiFilters_Release (oyCMMapiFilters_s **cmmapifilters)
| release and possibly deallocate a oyCMMapiFilters_s object More...
OYAPI int OYEXPORT | oyCMMapiFilters_MoveIn (oyCMMapiFilters_s *list, oyCMMapiFilter_s **obj, int pos)
| add an element to a CMMapiFilters list More...
OYAPI int OYEXPORT | oyCMMapiFilters_ReleaseAt (oyCMMapiFilters_s *list, int pos)
| release a element from a CMMapiFilters list More...
OYAPI oyCMMapiFilter_s *OYEXPORT | oyCMMapiFilters_Get (oyCMMapiFilters_s *list, int pos)
| get a element of a CMMapiFilters list More...
OYAPI int OYEXPORT | oyCMMapiFilters_Count (oyCMMapiFilters_s *list)
| count the elements in a CMMapiFilters list More...
OYAPI int OYEXPORT | oyCMMapiFilters_Clear (oyCMMapiFilters_s *list)
| clear the elements in a CMMapiFilters list More...
OYAPI int OYEXPORT | oyCMMapiFilters_Sort (oyCMMapiFilters_s *list, int32_t *rank_list)
| sort a list according to a rank_list More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Data Fields
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Detailed Description

A CMMapiFilters list.

## Member Function Documentation

## ◆ oyCMMapiFilters_Clear()

OYAPI int OYEXPORT oyCMMapiFilters_Clear | ( | oyCMMapiFilters_s * | list | ) |

clear the elements in a CMMapiFilters list

Function oyCMMapiFilters_Clear

Parameters

  [in,out] | list | the list

Returns
  0 - success; otherwise - error

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_CMM_API_FILTERS_S, and oyStructList_s::oyStructList_Clear().

## ◆ oyCMMapiFilters_Copy()

oyCMMapiFilters_Copy

Copy or Reference a CMMapiFilters object.

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | cmmapifilters | CMMapiFilters struct object
  | object | NULL - means reference, the optional object triggers a real copy

## ◆ oyCMMapiFilters_Count()

OYAPI int OYEXPORT oyCMMapiFilters_Count | ( | oyCMMapiFilters_s * | list | ) |

count the elements in a CMMapiFilters list

Function oyCMMapiFilters_Count

Parameters

  [in,out] | list | the list

Returns
  element count

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_API_FILTERS_S, and oyStructList_s::oyStructList_Count().

## ◆ oyCMMapiFilters_Get()

OYAPI oyCMMapiFilter_s *OYEXPORT oyCMMapiFilters_Get | ( | oyCMMapiFilters_s * | list,
|  | int | pos
| ) |  |

get a element of a CMMapiFilters list

Function oyCMMapiFilters_Get

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_API_FILTERS_S, and oyStructList_s::oyStructList_GetRef().

## ◆ oyCMMapiFilters_MoveIn()

OYAPI int OYEXPORT oyCMMapiFilters_MoveIn | ( | oyCMMapiFilters_s * | list,
|  | oyCMMapiFilter_s ** | obj,
|  | int | pos
| ) |  |

add an element to a CMMapiFilters list

Function oyCMMapiFilters_MoveIn

Parameters

  [in] | list | list
  [in,out] | obj | list element
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_API_FILTERS_S.

## ◆ oyCMMapiFilters_New()

OYAPI oyCMMapiFilters_s *OYEXPORT oyCMMapiFilters_New | ( | oyObject_s | object | ) |

allocate a new CMMapiFilters object

Function oyCMMapiFilters_New

References oyOBJECT_OBJECT_S.

## ◆ oyCMMapiFilters_Release()

OYAPI int OYEXPORT oyCMMapiFilters_Release | ( | oyCMMapiFilters_s ** | cmmapifilters | ) |

release and possibly deallocate a oyCMMapiFilters_s object

Function oyCMMapiFilters_Release

Parameters

  [in,out] | cmmapifilters | CMMapiFilters struct object

References oyOBJECT_CMM_API_FILTERS_S.

## ◆ oyCMMapiFilters_ReleaseAt()

OYAPI int OYEXPORT oyCMMapiFilters_ReleaseAt | ( | oyCMMapiFilters_s * | list,
|  | int | pos
| ) |  |

release a element from a CMMapiFilters list

Function oyCMMapiFilters_ReleaseAt

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_CMM_API_FILTERS_S, oyStructList_s::oyStructList_GetParentObjType(), and oyStructList_s::oyStructList_ReleaseAt().

## ◆ oyCMMapiFilters_Sort()

OYAPI int OYEXPORT oyCMMapiFilters_Sort | ( | oyCMMapiFilters_s * | list,
|  | int32_t * | rank_list
| ) |  |

sort a list according to a rank_list

Function oyCMMapiFilters_Sort

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyCMMapiFilters_s::copy

Copy function.

## ◆ oy_

oyObject_s oyCMMapiFilters_s::oy_

Oyranos internal object.

Features name and hash. Do not change during object life time.

## ◆ release

oyStruct_Release_f oyCMMapiFilters_s::release

Release function.

## ◆ type_

const oyOBJECT_e oyCMMapiFilters_s::type_

Type of object.

The struct type tells Oyranos how to interprete hidden fields.